curl --request PATCH \
--url https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"reward": "<string>",
"fixedBy": [
"<string>"
],
"duplicateOf": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duplicateGroup": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"relatedFiles": [
{
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"action": "add"
}
],
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "add"
}
],
"assetGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"action": "replace"
},
"safeHarborAssetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locked": true,
"note": "<string>"
}
'import requests
url = "https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}"
payload = {
"title": "<string>",
"description": "<string>",
"reward": "<string>",
"fixedBy": ["<string>"],
"duplicateOf": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duplicateGroup": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"relatedFiles": [
{
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"action": "add"
}
],
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "add"
}
],
"assetGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"action": "replace"
},
"safeHarborAssetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locked": True,
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
reward: '<string>',
fixedBy: ['<string>'],
duplicateOf: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
duplicateGroup: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
category: '<string>',
relatedFiles: [{path: '<string>', lines: {start: 123, end: 123}, action: 'add'}],
labels: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', action: 'add'}],
assetGroup: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
action: 'replace'
},
safeHarborAssetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
assignedTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locked: true,
note: '<string>'
})
};
fetch('https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Update an existing finding in a repository.
Access control rules
- The requester must have access to the repository.
- Reviewers can update findings they and their team made.
- Clients, judges, triagers and admins can update any finding.
Note that what user can update what field (and to what value) depends on the user’s role, repository kind and status.
Path Parameters
Reference to a finding, either a finding id or finding number.
Body
Status of a [Finding].
Note that the in_review status is only applicable within bounties.
new, in_review, disputed, rejected, spam, duplicate, confirmed, acknowledged, fixed, withdrawn When this field is set it overwrites the existing value, i.e. all URLs must be provided.
Only valid if the status is set to duplicate.
Severity of a [Finding].
critical, high, medium, low, informational, gas_optimization Likelihood of a [Finding].
high, medium, low Impact of a [Finding].
high, medium, low Can only be set by judges, triagers and admins.
high, medium, low Can only be set by admins.
Delete or add a related file to a finding.
- Option 1
- Option 2
Show child attributes
Show child attributes
Delete or add labels to a finding.
- Option 1
- Option 2
Show child attributes
Show child attributes
Delete or add asset groups to a finding.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Assign the finding to a user by id.
Update the locked state of the finding.
Note field for additional finding information.
Response
Finding updated